<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.basic.mapper.AttachesMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.basic.entity.Attaches">
                <id column="SelfID" property="SelfID" />
                <result column="UnitID" property="UnitID" />
                <result column="ReferencesID" property="ReferencesID" />
                <result column="FileName" property="FileName" />
                <result column="ExtensionName" property="ExtensionName" />
                <result column="URL" property="url" />
                <result column="UPLOAD_TIME" property="uploadTime" />
                <result column="FLAG" property="flag" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  attaches
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>
